# The awesome manifesto

If you want your list to be included on `awesome`, try to only include actual awesome stuff in your list. After all, it's a curation, not a collection.

But **what is awesome?**

## Only awesome is awesome

Research if the stuff you're including is actually awesome. Put only stuff on the list you or another contributor can personally recommend and rather leave stuff out than include too much.

## Awesome badge

[![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

Add an awesome badge to the top of your list, right to the title. [Example](https://github.com/sindresorhus/awesome-nodejs).

```md
[![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)
```

## Comment on why something is awesome

Apart from suggesting a particular item on your list, you should also inform your readers *why* it's on the list and how they will benefit from it.

## Make it clear what the list is about

Have a succinct description at the top of your readme. Make sure your list covers a certain scope and nothing else. Link to other awesome lists if you think they already cover a certain subject good enough.

## Pay attention to grammar

Ensure your list is grammatically correct, typo free and has no Markdown formatting errors. This should also apply to pull requests.

## Choose an appropriate license

Keep in mind that if you [haven't selected a license](http://choosealicense.com/no-license/), it basically means the people are *not* allowed to reproduce, distribute or create derivative works.

[Creative Commons licenses](https://creativecommons.org/) are perfect for this purpose. **We would recommend [`CC0`](https://creativecommons.org/publicdomain/zero/1.0/).** Code licenses like MIT, BSD, GPL, and so forth are not recommended.

## Include contribution guidelines

People who are contributing to your list should have a clear understanding how they should do so.

If you don't feel like writing one from scratch, feel free to take our [contributing.md](contributing.md) and modify it to your own needs.

## Stylize your list properly

Create a table of contents, organize the content into different categories, and use images if suitable. Ensure all entries are consistent (e.g. all entry descriptions end in a `.`).

## Accept other people's opinion

If you're an owner of the list, respect other people's opinion. If there are plenty of users not agreeing to your decision, give it a second thought.

## Discovery

Link back to this list from your list so users can easily discover more lists.
